<?php
/**
 * $Horde: nic/rrdviews.php,v 1.3 2007/01/02 00:41:47 jan Exp $
 *
 * Copyright 2005-2006 Mike Bydalek <mike@distance.net>
 *
 * See the enclosed file COPYING for license information (GPL). If you
 * did not receive this file, see http://www.fsf.org/copyleft/gpl.html.
 */

@define('NIC_BASE', dirname(__FILE__));
require_once NIC_BASE . '/lib/base.php';
require_once NIC_BASE . '/lib/Device.php';
require_once NIC_BASE . '/lib/Storage.php';

// Retrieve the form values.
$rrds = Util::getFormData('rrds');
$rrdfile = Util::getFormData('rrdfile');

$url = Util::addParameter(Horde::applicationUrl('rrdgraph.php'), array('rrds' => $rrds, 'rrdfile' => $rrdfile));

$times = array( "12 Hours" => 43200,
                "24 Hours" => 86400,
                "Weekly" => 604800,
                "Monthly" => 2592000,
                "Yearly" => 31556926);

require NIC_TEMPLATES . '/common-header.inc';

foreach ($times as $desc => $time) {
    $title = sprintf("%s (%s)", $rrdfile, $desc);
    $img = Horde::img(Util::addParameter($url, array('start' => $time, 'title' => $title)), $title, '', '');
    echo '<tr><td class="text" colspan="2">';
    echo $img;
    echo '</td></tr>';
}

require $registry->get('templates', 'horde') . '/common-footer.inc';
